Subject: Re: 23.1.91; Geometry quirk on OpenSuSE 11.2

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 06:08:16 +0100

Hi Steve,

The below bug was reported 10 years ago, and many things have changed
since then.  Are you still seeing this on a modern version of Emacs?

Best regards,
Stefan Kangas

Steve Revilak <[email-masked]> writes:

> I've been trying Emacs 23.1.91 on an OpenSUSE 11.2 system.
>
>    Linux srevilak 2.6.31.5-0.1-desktop #1 SMP PREEMPT 2009-10-26 15:49:03 +0100 i686 i686 i386 GNU/Linux
>
> In general, this prerelease seems to work very well.  However, I have
> had difficulty getting Emacs 23.1.91 to respect geometry settings.  I
> will frame this bug report as a series of (expected, observed) pairs.
> In this context, "expected" refers to the the behavior of
>
>  # this is the emacs that comes with OpenSUSE 11.2
>  GNU Emacs 23.1.1 (i586-suse-linux-gnu, GTK+ Version 2.18.1) of 2009-12-02 on build15
>
> and "observed" refers to the behavior of Emacs 23.1.91.
>
> I will also try to be mindful of the recent change in -Q's behavior.
>
>
> CASE 1: Geometry from ~/.Xresources
> -----------------------------------
>
> I have the (only) following line in ~/.Xresources
>
>   emacs.geometry: 86x46-2+0
>
> Expected: emacs starts with dimensions 86x46, two pixels from the
> right edge of the screen, and zero pixels from the top edge of the
> screen.
>
> Observed: Emacs starts with dimensions 86x25 (not 86x46).  The initial
> frame is two pixels from the right edge of the screen, but 225 pixels
> from the top edge of the screen (not 0 pixels from the top edge of the
> screen).
>
>
> CASE 2: Geometry from Command Line
> ----------------------------------
>
> I've started emacs as 
>   emacs --no-init-file --no-site-file --geometry 86x46+0+0
>
> Expected: Emacs starts with an 86x46 frame, with the upper left corner
> of the frame in the upper left corner of the screen.
>
> Observed: Emacs starts with an 86x28 frame.  The frame is positioned
> against the right edge of the screen, but 225 pixels from the top of
> the screen.
>
>
> CASE 3: Geometry from Command Line (only width and height specified)
> --------------------------------------------------------------------
>
> Start emacs as
>
>   emacs --no-init-file --no-site-file --geometry 86x46
>
> Expected: Emacs starts with an 86x46 frame, with the frame positioned
> at coordinates -2+0.  (Here the -2+0 was inherited from .Xresources).
>
> Actual: Emacs starts with an 86x28 frame, with the frame positioned at
> -2+225 (225 pixels from the top of the screen)
>
>
> CASE 4: Geometry from the Command Line (but smaller frame size)
> --------------------------------------------------------------
>
> Start emacs as
>
>   emacs --no-init-file --no-site-file --geometry 60x30+0+0
>
> Expected: Emacs starts with a 60x30 frame, positioned in the upper
> left corner of the screen.
>
> Actual: Same as expected.  
> This is interesting.  Given a smaller frame size, emacs 23.1.91
> exhibited the same behavior as emacs 23.1.1.
>
>
> Further pursuit of CASE 4:
> -------------------------
>
> I continued to experiment with different geometry sizes.  At a height
> of 44, emacs with the default font fills the vertical space of the
> screen.  At height > 44, emacs _appears_ to say "this frame is too
> tall for the screen, so I'm going to use a different height".
>
> If height 44 fills the vertical space of the screen, then why do I have
> 86x46 in ~/.Xresources?  My .emacs uses (set-frame-font) to change
> fonts.  The font I'm using is a little smaller than the default font,
> whereby height 46 fits nicely on the screen, with a little room to
> spare at the bottom.
>
> If it matters, here is my (set-frame-font) call
>
>   (set-frame-font "-efont-fixed-medium-r-normal--16-160-75-75-c-80-iso10646-1")
>
>
> Other observations:
> ------------------
>
> Moving the font setting from ~/.emacs to ~/.Xresources did not work.
>
> Changing emacs.geometry to 86x44 (from 86x46) worked.  The frame is
> two lines of text shorter but this seems okay for now.
>
> I guess one could summarize this as follows: the maximum height of
> emacs' frame is limited by the number of rows that will fit, using the
> default font.  If you're using a smaller font, then you can't fully
> utilize the height of the screen.